Draft Array/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 2: Line 2:


==Beschreibung==
==Beschreibung==
Mit dem Werkzeug Feld (Array) können Felder mit linearer oder kreisförmiger Struktur aus einem gewählten Objekt erzeugt werden.
Mit dem Werkzeug Feld (Array) kann ein Objekt mithilfe von Kopien seiner selbst zu Feldern mit linearer oder kreisförmiger Struktur erweitert werden.
Lineare Felder können 1- bis 3-dimensional sein: lineare Anordnung in eine (Reihe), zwei (Feld) oder drei (Felder übereinander) Richtungen. Die drei Richtungen sind unabhängig vom internen kartesischen Koordinatensystem und unabhängig voneinander wählbar.
Lineare Felder können 1- bis 3-dimensional sein: lineare Anordnung in eine (Reihe), zwei (Feld) oder drei (Felder übereinander) Richtungen. Die drei Richtungen sind unabhängig vom internen kartesischen Koordinatensystem und unabhängig voneinander wählbar.
Ein polares Feld besteht nur aus auf einem Kreis angeordneten Objektkopien.
Ein polares Feld besteht nur aus auf einem Kreis angeordneten Objektkopien.
Line 8: Line 8:
[[Image:Draft_Array_example.jpg|400px]]
[[Image:Draft_Array_example.jpg|400px]]


==Anwendung==
==How to use==
# Select an object you wish to make an array with
# Wähle das für ein Feld vorgesehene Objekt.
# Klicke auf {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}}.
# Press the {{KEY|[[Image:Draft Array.png|16px]] [[Draft Array]]}} button
# Wähle den Feld-Typ ({{PropertyData|Array Type}})
# Select {{PropertyData|Array Type}}: Specifies the type of the array, ortho or polar
# For orthogonal arrays:
# Für den Feld-Typ linear (ortho) wähle:
## {{PropertyData|Interval X}}: The interval between each copy on the first axis
## Zahl der Objekte:
### in erster Richtung ({{PropertyData|Number X}})
## {{PropertyData|Interval Y}}: The interval between each copy on the second axis
### in zweiter Richtung ({{PropertyData|Number Y}})
## {{PropertyData|Interval Z}}: The interval between each copy on the third axis
### in dritter Richtung ({{PropertyData|Number Z}})
## {{PropertyData|Number X}}: The number of copies on the first axis
## {{PropertyData|Number Y}}: The number of copies on the second axis
##Abstand zwischen den Objekten:
### in erster Richtung ({{PropertyData|Interval X}})
## {{PropertyData|Number Z}}: The number of copies on the third axis
# For polar arrays:
### in zweiter Richtung ({{PropertyData|Interval Y}})
### in dritter Richtung ({{PropertyData|Interval Z}});
## {{PropertyData|Axis}}: The normal direction of the array circle
## {{PropertyData|Center}}: The center point of the array
### Anmerkung: Die drei Richtungen stimmen mit den Achsrichtungen des internen x-y-z-Koordinatensystems überein, wenn man für die erste nur einen Abstands-Wert für x, für die zweite nur einen für y und für die dritte nur einen für z einsetzt.
## {{PropertyData|Angle}}: The angle to cover with copies
# Für den Feld-Typ polar (polar) wähle:
## Zahl der Objekte ({{PropertyData|Number Polar}})
## {{PropertyData|Number Polar}}: The number of copies
## Richtung der Feld-Achse ({{PropertyData|Axis}})
## Mittelpunkt des Feldes ({{PropertyData|Center}})
## Sektorwinkel des Feldes ({{PropertyData|Angle}})
## Für jede neue Kopie des Objekts lässt sich die Feld-Achse neu positionieren ({{PropertyData|Interval Axis}}). Bei Angabe eines z-Wertes (Feldachse sei zur z-Achse parallel) wandern die Kopien in dieser Richtung, sie liegen auf einer Schraubenlinie. Mit von Null verschiedenen y- und/oder z-Werten wird das Ergebnis unübersichtlich.
# Wähle wahr (true) für Vereinigen ({{PropertyData|Fuse}}), wenn die Objekte des Feldes zu einem einzigen Objekt vereinigt werden sollen.


==Scripting==
==Scripting==
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.
The Array tool can by used in [[macros]] and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.


=== Simple array ===
.
For rectangular array:
{{Code|code=
{{Code|code=
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])
}}
}}
For polar array:
.
{{Code|code=
{{Code|code=
array (objectslist,center,totalangle,totalnum)
array (objectslist,center,totalangle,totalnum)
Line 44: Line 40:
* This function produces standalone copies of the base object(s)
* This function produces standalone copies of the base object(s)


=== Parametric array ===
.


For rectangular array:
For rectangular array:
Line 57: Line 53:
* The result of this function is a parametric Draft Array object.
* The result of this function is a parametric Draft Array object.


Example:
For polar array:
{{Code|code=
{{Code|code=
import FreeCAD,Draft
import FreeCAD,Draft

Revision as of 09:54, 3 February 2017

Draft Array

Menu location
Draft → Array
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
-
See also
PathArray

Beschreibung

Mit dem Werkzeug Feld (Array) kann ein Objekt mithilfe von Kopien seiner selbst zu Feldern mit linearer oder kreisförmiger Struktur erweitert werden. Lineare Felder können 1- bis 3-dimensional sein: lineare Anordnung in eine (Reihe), zwei (Feld) oder drei (Felder übereinander) Richtungen. Die drei Richtungen sind unabhängig vom internen kartesischen Koordinatensystem und unabhängig voneinander wählbar. Ein polares Feld besteht nur aus auf einem Kreis angeordneten Objektkopien.

How to use

  1. Select an object you wish to make an array with
  2. Press the Draft Array button
  3. Select DatenArray Type: Specifies the type of the array, ortho or polar
  4. For orthogonal arrays:
    1. DatenInterval X: The interval between each copy on the first axis
    2. DatenInterval Y: The interval between each copy on the second axis
    3. DatenInterval Z: The interval between each copy on the third axis
    4. DatenNumber X: The number of copies on the first axis
    5. DatenNumber Y: The number of copies on the second axis
    6. DatenNumber Z: The number of copies on the third axis
  5. For polar arrays:
    1. DatenAxis: The normal direction of the array circle
    2. DatenCenter: The center point of the array
    3. DatenAngle: The angle to cover with copies
    4. DatenNumber Polar: The number of copies

Scripting

The Array tool can by used in macros and from the python console by using one of the following functions, depending if you wish to obtain simple, standalone copies of your base object, or a parametric array object, that stays linked to the original object.

Simple array

For rectangular array:

array (objectslist,xvector,yvector,xnum,ynum,[zvector,znum])

For polar array:

array (objectslist,center,totalangle,totalnum)
  • Creates an array of the objects contained in list (that can be an object or a list of objects) with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • This function produces standalone copies of the base object(s)

Parametric array

For rectangular array:

makeArray (object,xvector,yvector,xnum,ynum)

For polar array:

makeArray (object,center,totalangle,totalnum)
  • Creates an array of the given object with, in case of rectangular array, xnum of iterations in the x direction at xvector distance between iterations, and same for y direction with yvector and ynum. In case of polar array, center is a vector, totalangle is the angle to cover (in degrees) and totalnum is the number of objects, including the original.
  • The result of this function is a parametric Draft Array object.

Example:

import FreeCAD,Draft
Draft.array(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,0,0),FreeCAD.Vector(0,2,0),2,2)